version 6.0
tempfile cgcdir cgcsuc cgcpred

use "brazprod\data\pia-finl.dta", clear
preserve
    keep firm
    sort firm
    quietly by firm: keep if _n==1
    sort firm
    save `cgcdir'
restore, preserve
    keep cgcsuc
    sort cgcsuc
    quietly by cgcsuc: keep if _n==1
    rename cgcsuc firm
    sort firm
    save `cgcsuc'
restore
    use "brazprod\cgc-lig\refer.dta", clear
    keep pr1cgc
    sort pr1cgc
    quietly by pr1cgc: keep if _n==1
    rename pr1cgc firm
    sort firm
    save `cgcpred'
use `cgcdir', clear
merge firm using `cgcsuc'
gen indsuc=1 if _merge==2 | _merge==3
drop _merge
sort firm
merge firm using `cgcpred'
gen indpred=1 if _merge==2 | _merge==3
drop _merge

drop if firm<99 | firm==.
gen str4 _temp1=string(int(firm/10000))
gen str4 _temp2=string(firm-int(firm/10000)*10000)
replace _temp1="0" + _temp1 if length(_temp1)==3
replace _temp1="00" + _temp1 if length(_temp1)==2
replace _temp1="000" + _temp1 if length(_temp1)==1
replace _temp2="0" + _temp2 if length(_temp2)==3
replace _temp2="00" + _temp2 if length(_temp2)==2
replace _temp2="000" + _temp2 if length(_temp2)==1
gen str8 empresa= _temp1 + _temp2
drop _temp1 _temp2
sort firm
compress
save "brazprod\cgc-list\cgc-list.dta", replace

* capture outsheet using "A:\cgc-list.csv", comma replace
