version 6.0
local yr=94 /* Do not use values other than 94 */
use "brazprod\data\pia-e\piae`yr'.dta", clear


/* Correct data problems with missing vars */
/*-----------------------------------------*/

replace region="." if region==""
rename region reg
gen byte region=real(reg)
drop reg
label var region "Region of Headquarters"

replace uf="." if uf==""
gen byte fedunit=real(uf)
drop uf
rename fedunit uf
label var uf "UF of Headquarters"

order firm year niv100 state change sales resales difstock astot asliq aslr aspsum aspinv aspimmo aspmasum aspdefer asrtimmo aslsimmo deprec fincost balsum crtot crstsum crstdom crstfor crltsum crltdom crltfor labftot labftop labfwh labfbl wagetot wagetop wagewh wagebl acqtot acqbl acqmasum acqmadom acqmause acqmafor acqveh acqother acqcomp asltot aslbl aslmasum aslveh aslother aslcomp intmacq intmdif profit region uf genero class weight
sort firm
save "brazprod\data\pia-e\piae`yr'.dta", replace
desc
